Package org.drinkless.tdlib

# Class TdApi.EditMessageSchedulingState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.EditMessageSchedulingState

Enclosing class:
  `TdApi`

public static class TdApi.EditMessageSchedulingState extends TdApi.Function<TdApi.Ok>
Edits the time when a scheduled message will be sent. Scheduling state of all messages in the same album or forwarded together with the message will be also changed.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  The chat the message belongs to.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the message.
  `TdApi.MessageSchedulingState`
  `schedulingState`
  The new message scheduling state; pass null to send the message immediately.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditMessageSchedulingState()`
  Default constructor for a function, which edits the time when a scheduled message will be sent.
  `EditMessageSchedulingState(long chatId, long messageId, TdApi.MessageSchedulingState schedulingState)`
  Creates a function, which edits the time when a scheduled message will be sent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    The chat the message belongs to.

  - ### messageId

    public long messageId
    Identifier of the message. Use messageProperties.canEditSchedulingState to check whether the message is suitable.

  - ### schedulingState

    public TdApi.MessageSchedulingState schedulingState
    The new message scheduling state; pass null to send the message immediately. Must be null for messages in the state messageSchedulingStateSendWhenVideoProcessed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditMessageSchedulingState

    public EditMessageSchedulingState()
    Default constructor for a function, which edits the time when a scheduled message will be sent. Scheduling state of all messages in the same album or forwarded together with the message will be also changed.

    Returns `Ok`

  - ### EditMessageSchedulingState

    public EditMessageSchedulingState(long chatId, long messageId, TdApi.MessageSchedulingState schedulingState)
    Creates a function, which edits the time when a scheduled message will be sent. Scheduling state of all messages in the same album or forwarded together with the message will be also changed.

    Returns `Ok`

    Parameters:
      `chatId` - The chat the message belongs to.
      `messageId` - Identifier of the message. Use messageProperties.canEditSchedulingState to check whether the message is suitable.
      `schedulingState` - The new message scheduling state; pass null to send the message immediately. Must be null for messages in the state messageSchedulingStateSendWhenVideoProcessed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR